Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPanelMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPanelMenuItem
                          org.richfaces.component.AbstractPanelMenuGroup
                              org.richfaces.component.UIPanelMenuGroup

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxProps

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIPanelMenuGroup

extends AbstractPanelMenuGroup
implements javax.faces.component.behavior.ClientBehaviorHolder

Since:
  2010-10-25
Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIPanelMenuGroup.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPanelMenuGroup()`

Method Summary
`javax.el.MethodExpression` | `getChangeExpandListener()`
`java.lang.String` | `getCollapseEvent()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getDefaultEventName()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getExpandEvent()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHoverClass()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getLeftIcon()`
`java.lang.String` | `getLeftIconClass()`
`org.richfaces.PanelMenuMode` | `getMode()`
`java.lang.String` | `getOnbeforecollapse()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnbeforeexpand()`
`java.lang.String` | `getOnbeforeselect()`
`java.lang.String` | `getOnbeforeswitch()`
`java.lang.String` | `getOnbegin()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncollapse()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnexpand()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselect()`
`java.lang.String` | `getOnswitch()`
`java.lang.String` | `getOnunselect()`
`java.lang.Object` | `getRender()`
`java.lang.String` | `getRightIcon()`
`java.lang.String` | `getRightIconClass()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStyle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isLimitRender()`
`java.lang.Boolean` | `isSelectable()`
`java.lang.Boolean` | `isUnselectable()`
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setChangeExpandListener(javax.el.MethodExpression changeExpandListener)`
`void` | `setCollapseEvent(java.lang.String collapseEvent)`
`void` | `setData(java.lang.Object data)`
`void` | `setDisabled(boolean disabled)`
`void` | `setExpandEvent(java.lang.String expandEvent)`
`void` | `setHoverClass(java.lang.String hoverClass)`
`void` | `setLabel(java.lang.String label)`
`void` | `setLeftIcon(java.lang.String leftIcon)`
`void` | `setLeftIconClass(java.lang.String leftIconClass)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setMode(org.richfaces.PanelMenuMode mode)`
`void` | `setOnbeforecollapse(java.lang.String onbeforecollapse)`
`void` | `setOnbeforedomupdate(java.lang.String onbeforedomupdate)`
`void` | `setOnbeforeexpand(java.lang.String onbeforeexpand)`
`void` | `setOnbeforeselect(java.lang.String onbeforeselect)`
`void` | `setOnbeforeswitch(java.lang.String onbeforeswitch)`
`void` | `setOnbegin(java.lang.String onbegin)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOncollapse(java.lang.String oncollapse)`
`void` | `setOncomplete(java.lang.String oncomplete)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnexpand(java.lang.String onexpand)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setOnselect(java.lang.String onselect)`
`void` | `setOnswitch(java.lang.String onswitch)`
`void` | `setOnunselect(java.lang.String onunselect)`
`void` | `setRender(java.lang.Object render)`
`void` | `setRightIcon(java.lang.String rightIcon)`
`void` | `setRightIconClass(java.lang.String rightIconClass)`
`void` | `setSelectable(java.lang.Boolean selectable)`
`void` | `setStatus(java.lang.String status)`
`void` | `setStyle(java.lang.String style)`
`void` | `setUnselectable(java.lang.Boolean unselectable)`

Methods inherited from class org.richfaces.component.AbstractPanelMenuGroup
`getDisabledClass, getLeftCollapsedIcon, getLeftDisabledIcon, getLeftExpandedIcon, getRightCollapsedIcon, getRightDisabledIcon, getRightExpandedIcon, getState, getStyleClass, getSubmittedExpanded, hasActiveItem, isExpanded, isImmediate, processDecodes, queueEvent, setDisabledClass, setEventPhase, setExpanded, setImmediate, setLeftCollapsedIcon, setLeftDisabledIcon, setLeftExpandedIcon, setRightCollapsedIcon, setRightDisabledIcon, setRightExpandedIcon, setStyleClass, setSubmittedExpanded, setValueExpression, validate`

Methods inherited from class org.richfaces.component.AbstractPanelMenuItem
`getExecute, getName, getPanelMenu, getParentItem, getValue, isActiveItem, isTopItem, setExecute, setName, setValue`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, removeActionListener, setAction, setActionExpression, setActionListener`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPanelMenuGroup

    public UIPanelMenuGroup()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `AbstractPanelMenuGroup`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBypassUpdates

    public boolean isBypassUpdates()

  Specified by:
    `isBypassUpdates` in class `AbstractActionComponent`

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

  Specified by:
    `setBypassUpdates` in class `AbstractActionComponent`

### getChangeExpandListener

    public javax.el.MethodExpression getChangeExpandListener()

  Specified by:
    `getChangeExpandListener` in class `AbstractPanelMenuGroup`

### setChangeExpandListener

    public void setChangeExpandListener(javax.el.MethodExpression changeExpandListener)

### getCollapseEvent

    public java.lang.String getCollapseEvent()

  Specified by:
    `getCollapseEvent` in class `AbstractPanelMenuGroup`

### setCollapseEvent

    public void setCollapseEvent(java.lang.String collapseEvent)

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in interface `AjaxProps`

### setData

    public void setData(java.lang.Object data)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `AbstractPanelMenuItem`

### setDisabled

    public void setDisabled(boolean disabled)

### getExpandEvent

    public java.lang.String getExpandEvent()

  Specified by:
    `getExpandEvent` in class `AbstractPanelMenuGroup`

### setExpandEvent

    public void setExpandEvent(java.lang.String expandEvent)

### getHoverClass

    public java.lang.String getHoverClass()

  Specified by:
    `getHoverClass` in class `AbstractPanelMenuGroup`

### setHoverClass

    public void setHoverClass(java.lang.String hoverClass)

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AbstractPanelMenuItem`

### setLabel

    public void setLabel(java.lang.String label)

### getLeftIcon

    public java.lang.String getLeftIcon()

  Specified by:
    `getLeftIcon` in class `AbstractPanelMenuGroup`

### setLeftIcon

    public void setLeftIcon(java.lang.String leftIcon)

  Overrides:
    `setLeftIcon` in class `AbstractPanelMenuItem`

### getLeftIconClass

    public java.lang.String getLeftIconClass()

  Specified by:
    `getLeftIconClass` in class `AbstractPanelMenuGroup`

### setLeftIconClass

    public void setLeftIconClass(java.lang.String leftIconClass)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in interface `AjaxProps`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getMode

    public org.richfaces.PanelMenuMode getMode()

  Specified by:
    `getMode` in class `AbstractPanelMenuGroup`

### setMode

    public void setMode(org.richfaces.PanelMenuMode mode)

### getOnbeforecollapse

    public java.lang.String getOnbeforecollapse()

  Specified by:
    `getOnbeforecollapse` in class `AbstractPanelMenuGroup`

### setOnbeforecollapse

    public void setOnbeforecollapse(java.lang.String onbeforecollapse)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in interface `AjaxProps`
  Specified by:
    `getOnbeforedomupdate` in class `AbstractPanelMenuGroup`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String onbeforedomupdate)

### getOnbeforeexpand

    public java.lang.String getOnbeforeexpand()

  Specified by:
    `getOnbeforeexpand` in class `AbstractPanelMenuGroup`

### setOnbeforeexpand

    public void setOnbeforeexpand(java.lang.String onbeforeexpand)

### getOnbeforeselect

    public java.lang.String getOnbeforeselect()

  Specified by:
    `getOnbeforeselect` in class `AbstractPanelMenuGroup`

### setOnbeforeselect

    public void setOnbeforeselect(java.lang.String onbeforeselect)

### getOnbeforeswitch

    public java.lang.String getOnbeforeswitch()

  Specified by:
    `getOnbeforeswitch` in class `AbstractPanelMenuGroup`

### setOnbeforeswitch

    public void setOnbeforeswitch(java.lang.String onbeforeswitch)

### getOnbegin

    public java.lang.String getOnbegin()

  Specified by:
    `getOnbegin` in interface `AjaxProps`

### setOnbegin

    public void setOnbegin(java.lang.String onbegin)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractPanelMenuGroup`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOncollapse

    public java.lang.String getOncollapse()

  Specified by:
    `getOncollapse` in class `AbstractPanelMenuGroup`

### setOncollapse

    public void setOncollapse(java.lang.String oncollapse)

### getOncomplete

    public java.lang.String getOncomplete()

  Specified by:
    `getOncomplete` in interface `AjaxProps`
  Specified by:
    `getOncomplete` in class `AbstractPanelMenuGroup`

### setOncomplete

    public void setOncomplete(java.lang.String oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractPanelMenuGroup`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnexpand

    public java.lang.String getOnexpand()

  Specified by:
    `getOnexpand` in class `AbstractPanelMenuGroup`

### setOnexpand

    public void setOnexpand(java.lang.String onexpand)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractPanelMenuGroup`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractPanelMenuGroup`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractPanelMenuGroup`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractPanelMenuGroup`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractPanelMenuGroup`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnselect

    public java.lang.String getOnselect()

  Specified by:
    `getOnselect` in class `AbstractPanelMenuGroup`

### setOnselect

    public void setOnselect(java.lang.String onselect)

### getOnswitch

    public java.lang.String getOnswitch()

  Specified by:
    `getOnswitch` in class `AbstractPanelMenuGroup`

### setOnswitch

    public void setOnswitch(java.lang.String onswitch)

### getOnunselect

    public java.lang.String getOnunselect()

  Specified by:
    `getOnunselect` in class `AbstractPanelMenuGroup`

### setOnunselect

    public void setOnunselect(java.lang.String onunselect)

### getRender

    public java.lang.Object getRender()

  Specified by:
    `getRender` in interface `AjaxProps`

### setRender

    public void setRender(java.lang.Object render)

### getRightIcon

    public java.lang.String getRightIcon()

  Specified by:
    `getRightIcon` in class `AbstractPanelMenuGroup`

### setRightIcon

    public void setRightIcon(java.lang.String rightIcon)

  Overrides:
    `setRightIcon` in class `AbstractPanelMenuItem`

### getRightIconClass

    public java.lang.String getRightIconClass()

  Specified by:
    `getRightIconClass` in class `AbstractPanelMenuGroup`

### setRightIconClass

    public void setRightIconClass(java.lang.String rightIconClass)

### isSelectable

    public java.lang.Boolean isSelectable()

  Specified by:
    `isSelectable` in class `AbstractPanelMenuGroup`

### setSelectable

    public void setSelectable(java.lang.Boolean selectable)

### getStatus

    public java.lang.String getStatus()

  Specified by:
    `getStatus` in interface `AjaxProps`

### setStatus

    public void setStatus(java.lang.String status)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `AbstractPanelMenuItem`

### setStyle

    public void setStyle(java.lang.String style)

### isUnselectable

    public java.lang.Boolean isUnselectable()

  Specified by:
    `isUnselectable` in class `AbstractPanelMenuItem`

### setUnselectable

    public void setUnselectable(java.lang.Boolean unselectable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.